Package org.apache.lucene.benchmark.byTask.feeds

# Class GeonamesLineParser

java.lang.Object
org.apache.lucene.benchmark.byTask.feeds.LineDocSource.LineParser
org.apache.lucene.benchmark.byTask.feeds.GeonamesLineParser

public class GeonamesLineParser extends LineDocSource.LineParser
A line parser for Geonames.org data. See 'geoname' table. Requires `SpatialDocMaker`.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.LineDocSource.LineParser

  `header`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GeonamesLineParser(String[] header)`
  This header will be ignored; the geonames format is fixed and doesn't have a header line.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `parseLine(DocData docData, String line)`
  parse an input line and fill doc data appropriately

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GeonamesLineParser

    public GeonamesLineParser(String[] header)
    This header will be ignored; the geonames format is fixed and doesn't have a header line.

- ## Method Details

  - ### parseLine

    public void parseLine(DocData docData, String line)
    Description copied from class: `LineDocSource.LineParser`
    parse an input line and fill doc data appropriately
    Specified by:
      `parseLine` in class `LineDocSource.LineParser`